POST
/
v1
/
messages
/
flow
Send a flow message
curl --request POST \
  --url https://api.wazapin.com/v1/messages/flow \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>",
  "channel_id": "<string>",
  "flow_cta": "<string>",
  "flow_id": "<string>",
  "to": "<string>",
  "flow_action": "<string>",
  "flow_data": {},
  "flow_screen": "<string>",
  "flow_token": "<string>",
  "footer": "<string>"
}
'
{
  "data": {
    "status": "<string>",
    "message_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Session token or API key

Body

application/json
body
string
required

Body text

Minimum string length: 1
channel_id
string
required

Channel ID

Minimum string length: 1
flow_cta
string
required

Flow CTA button text

Minimum string length: 1
flow_id
string
required

Flow ID

Minimum string length: 1
to
string
required

Recipient phone number

Minimum string length: 1
flow_action
string

Flow action (default: navigate)

flow_data
object

Flow action payload data

flow_screen
string

Flow screen name

flow_token
string

Flow token

Optional footer text

header
object

Optional header

Response

Created

data
object
required